Bug 499954 - GSSAPIDelegateCredentials not working
GSSAPIDelegateCredentials not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 10:03 EDT by Ryan Bair
Modified: 2010-06-28 08:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ssh_config and ssh -vvv output (3.24 KB, application/x-bzip)
2009-05-09 10:03 EDT, Ryan Bair
no flags Details
some Debian patches to consider (1/3) (4.47 KB, patch)
2009-10-21 02:19 EDT, Matěj Cepl
no flags Details | Diff
some Debian patches to consider (2/3) (863 bytes, patch)
2009-10-21 02:20 EDT, Matěj Cepl
no flags Details | Diff
some Debian patches to consider (3/3) (756 bytes, patch)
2009-10-21 02:21 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Ryan Bair 2009-05-09 10:03:22 EDT
Created attachment 343212 [details]
ssh_config and ssh -vvv output

Description of problem:
When logging into a server over ssh using my Kerberos credentials the are not delegated to the remote host. 

Version-Release number of selected component (if applicable):
krb5-*-1.6.3-20.f11.x86_64
openssh*-5.2p1-2.f11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Enable GSSAPI delegation and authentication in ssh_config.
2. kinit credentials
3. ssh to remote host
4. klist
  
Actual results:
No credentials show up.

Expected results:
Credentials should show up.

Additional info:
Tested against CentOS 5.3 servers. Works as expected with Centos 5.3, F10, and OS X 10.5 clients.
Comment 1 Jan F. Chadima 2009-05-11 00:59:45 EDT
What is the version of buggy openssh?
Comment 2 Ryan Bair 2009-05-14 07:42:54 EDT
I'm suspecting this is a bug in the openssh-clients package which is currently at version 5.2p1 release 2.fc11.
Comment 3 Tomas Mraz 2009-05-14 09:45:33 EDT
I can confirm that. The 5.2p1 client writes in the debug output that it's delegating credentials, but they are not delegated. The 4.3p2 client in RHEL-5 works fine.
Comment 4 Tomas Mraz 2009-05-29 03:04:03 EDT
This is caused by krb5-auth-dialog. If the original ticket is from kinit it is delegated fine, if it is from krb5-auth-dialog, it is not delegated.
Comment 5 Tomas Mraz 2009-05-29 03:07:57 EDT
And the reason is the kinit by default makes the tickets flagged forwardable, the krb5-auth-dialog not.
Comment 6 Ryan Bair 2009-05-29 07:40:50 EDT
I just noticed this last night oddly enough. This sounds like a bug in krb5-auth-dialog, no? It should be listening to the defaults in /etc/krb5.conf.
Comment 7 Bug Zapper 2009-06-09 11:32:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2009-06-13 01:54:23 EDT
New upgrade of krb5-auth-dialog was provided as https://admin.fedoraproject.org/updates/krb5-auth-dialog-0.10-1.fc11, which may affect this bug.

Please retest and let us know, whether you can still reproduce this bug.
Comment 9 Ben Liblit 2009-07-09 14:15:45 EDT
I was also seeing this bug as originally reported: krb5-auth-dialog-0.8 acquired non-forwardable tickets.  I confirm that krb5-auth-dialog-0.10-1.fc11 does acquire forwardable tickets, thereby fixing this problem.

Strangely, krb5-auth-dialog-0.10-1.fc11 acquires forwardable tickets even though "forwardable" is not checked in the "Ticket Options" section of its preferences dialog.  I suppose that ought to be treated as a distinct bug, though.
Comment 10 Matěj Cepl 2009-07-13 15:15:30 EDT
(In reply to comment #9)
> Strangely, krb5-auth-dialog-0.10-1.fc11 acquires forwardable tickets even
> though "forwardable" is not checked in the "Ticket Options" section of its
> preferences dialog.  I suppose that ought to be treated as a distinct bug,
> though.

Yes, please, I would love to know what ancient bugs we can forget about.
Comment 11 Matěj Cepl 2009-10-21 02:19:39 EDT
Created attachment 365465 [details]
some Debian patches to consider (1/3)
Comment 12 Matěj Cepl 2009-10-21 02:20:17 EDT
Created attachment 365466 [details]
some Debian patches to consider (2/3)

This is probably just a cosmetic change
Comment 13 Matěj Cepl 2009-10-21 02:21:13 EDT
Created attachment 365467 [details]
some Debian patches to consider (3/3)
Comment 14 Bug Zapper 2010-04-27 10:14:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 08:28:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.